
Auto Multiple Choice - Feature # 29: add tag to add image in "non-LaTeX" code

Status: Closed Priority: Normal
Author: red sea Category: AMC-TXT
Created: 03/24/2012 Assignee:
Updated: 12/18/2012 Due date:
Description: i this website we can add an image by Print the image link between 2 exclamation marks (!!).

i hope ewe can add the image in "non-LaTeX" by a manner similar.

History
03/25/2012 11:53 am - Alexis Bienvenüe
- Category set to AMC-TXT

07/16/2012 11:07 pm - Alexis Bienvenüe
- Target version set to 1.2.0

09/14/2012 02:53 pm - Alexis Bienvenüe
- Status changed from New to Resolved

You can include images in AMC-TXT since revision r1133, with for exemple
<pre>
![width=3cm]images/map.png!
</pre>

09/23/2012 01:25 pm - Alban Mazerolles
- % Done changed from 0 to 100

Bonjour,
Je viens de tester ce correctif en remplaçant l'ancien fichier plain.pm par celui du correctif. Je précise que j'utilise AMC sous mac (note: le logiciel 
fonctionne à merveille même avec des images en syntaxe latex et fonctionne parfaitement en mode AMC-TXT mais sans image). Avec le correctif, 
AMC me signale des erreurs lors de la production du sujet et cette fois-ci, je n'arrive pas à interpréter correctement le log pour détecter la source du 
problème. J'ai virtualité un Mint pour vérifier l'efficacité du correctif et ... rien à redire, l'image s'est inséré du premier coup dans le pdf (AMC 1.1.0 dans 
les deux cas). 
Manifestement, il me manque quelque chose sous mac, mais je ne sais pas quoi. Je mets en pièce jointe, le fichier source, l'image, le pdf attendu 
(obtenu sous Mint) ainsi que le log en espérant que votre oeil avertit sera me dire d'où vient le problème (probablement une bibliothèque manquante).
En vous remerciant par avance.

09/23/2012 01:51 pm - Alexis Bienvenüe
- File xelatex.log added

> P.S: Visiblement, il n'y a pas possibilité de mettre des pièces-jointes, je vous colle donc le contenu du fichier lot ci-dessous :

J'ai transformé en pièce jointe.
Normalement, lorsque vous mettez à jour la demande pour ajouter votre commentaire, il y a un bandeau "Fichiers" en bas qui permet d'ajouter des 
fichiers si vous cliquez dessus.
09/23/2012 01:55 pm - Alexis Bienvenüe
> AMC me signale des erreurs lors de la production du sujet

Lesquelles ? Le fichier DOC-filtered.tex est-il le même sur mac que sur mint ?

09/23/2012 04:45 pm - Alban Mazerolles
Finalement, j'ai résolu le problème ! En fait, ca marche aussi bien sur le mac que sur mint, mon problème résidait dans le fait que j'avais nommé mon 
image Circuit.PNG alors que dans le fichier .txt j'appelais Circuit.png. Je ne pensais pas que la casse était aussi à respecter pour l'extension de fichier. 
Voilà tout.
Merci d'avance.
P.S.: dans le bandeau fichier, je ne vois que "Email issue updates (avec une case à cocher ou non)"

09/23/2012 05:09 pm - Alexis Bienvenüe
> Finalement, j'ai résolu le problème !

Bravo !

> P.S.: dans le bandeau fichier, je ne vois que "Email issue updates (avec une case à cocher ou non)"

Même en cliquant sur le mot "Fichiers" de ce bandeau ?

09/23/2012 06:32 pm - Alban Mazerolles
Ah oui en effet ! Je n'avais pas vu que le bandeau était cliquable ! Autant pour moi.

12/18/2012 05:49 pm - Alexis Bienvenüe
- Status changed from Resolved to Closed

Files
xelatex.log 37.4 kB 09/23/2012 Alexis Bienvenüe
